Package fr.gouv.vitam.functional.administration.rest

# Class ReindexationResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.ReindexationResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class ReindexationResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReindexationResource(ElasticsearchFunctionalAdminIndexManager indexManager)`
  `ReindexationResource(LogbookOperationsClientFactory logbookOperationsClientFactory, MetaDataClientFactory metaDataClientFactory, IndexationHelper indexationHelper, ElasticsearchFunctionalAdminIndexManager indexManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `reindex(@Valid List<IndexParameters> indexParameters)`
  Reindex a collection
  `jakarta.ws.rs.core.Response`
  `switchIndexes(@Valid List<SwitchIndexParameters> switchIndexParameters)`
  Switch indexes

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReindexationResource

    public ReindexationResource(LogbookOperationsClientFactory logbookOperationsClientFactory, MetaDataClientFactory metaDataClientFactory, IndexationHelper indexationHelper, ElasticsearchFunctionalAdminIndexManager indexManager)

  - ### ReindexationResource

    public ReindexationResource(ElasticsearchFunctionalAdminIndexManager indexManager)

- ## Method Details

  - ### reindex

    @Path("/reindex") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response reindex(@Valid @Valid List<IndexParameters> indexParameters)
    Reindex a collection
    Parameters:
      `indexParameters` - parameters specifying what to reindex
    Returns:
      Response

  - ### switchIndexes

    @Path("/alias") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response switchIndexes(@Valid @Valid List<SwitchIndexParameters> switchIndexParameters)
    Switch indexes
    Parameters:
      `switchIndexParameters` - specifying how to switch indexes
    Returns:
      Response